> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neynar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# fetchSubscriptionsForFid

Subscriptions created by FID

> **Group:** Subscriber APIs

Use this when you need: **Subscriptions created by FID**.

## Usage

```ts theme={"system"}
import { NeynarAPIClient, Configuration } from "@neynar/nodejs-sdk";

const client = new NeynarAPIClient(
  new Configuration({ apiKey: "YOUR_NEYNAR_API_KEY" })
);

const res = await client.fetchSubscriptionsForFid({
  fid: 123, // The unique identifier of a farcaster user or app (unsigned integer)
  subscriptionProvider: "value", // The provider of the subscription.
});
console.log(res);
```

## Parameters

| Parameter              | Type                                               | Required | Description                                                         |
| ---------------------- | -------------------------------------------------- | :------: | ------------------------------------------------------------------- |
| `fid`                  | `number`                                           |     ✅    | The unique identifier of a farcaster user or app (unsigned integer) |
| `subscriptionProvider` | `FetchSubscriptionsForFidSubscriptionProviderEnum` |     ✅    | The provider of the subscription.                                   |

## Response

Returns a `RequestArgs` object.

## Error Handling

```ts theme={"system"}
try {
  const res = await client.fetchSubscriptionsForFid({
    fid: 123,
    subscriptionProvider: "value"
  });
  // use res
} catch (err) {
  // Axios/HTTP errors, invalid params, auth issues, etc.
  console.error(err);
}
```

## Related API Reference

📖 **API Reference:** [fetchSubscriptionsForFid](/reference/fetch-subscriptions-for-fid)

For detailed information about the HTTP endpoint, request/response schemas, and additional examples, see the complete API documentation.

## Tips

* Provide a **viewerFid** when supported to respect mutes/blocks and include `viewer_context`.
* Keep requests scoped (e.g., use `limit`) to improve latency.
* Cache results where sensible.


## Related topics

- [SDK v1 to v2 migration guide](/reference/neynar-nodejs-sdk-v1-to-v2-migration-guide.md)
- [Subscriptions created by FID](/reference/fetch-subscriptions-for-fid.md)
- [fetchSubscriptionCheck](/nodejs-sdk/subscriber-apis/fetchSubscriptionCheck.md)
- [Fetch a webhook](/reference/lookup-webhook.md)
- [fetchSubscribedToForFid](/nodejs-sdk/subscriber-apis/fetchSubscribedToForFid.md)
